<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateGucsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('gucs', function (Blueprint $table) {
            $table->id();
            $table->string('image', 200);
            $table->string('civil_engineers_no', 10);
            $table->string('architects_engineers_no', 10);
            $table->string('general_engineers_no', 10);
            $table->timestamps();
            $table->softDeletes();

            $table->engine = 'InnoDB';
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('gucs');
    }
}
